<StackLayout *ngIf="!showDatePicker && !showStoreList">
    <Label [text]="errorMessage" *ngIf="errorMessage != null" class="error"></Label>
    <GridLayout row="0" rows="auto, auto, auto" columns="auto, auto">
        <Label text="Store Name" row="0" class="label"></Label>
        <TextField hint="Type the store name here..." [(ngModel)]="newStoreName" class="input" row="1" col="0"></TextField>
        <Image (tap)="OpenStoreSelect()" src="~/app/shared/icons/dropdown.png" class="dropdownBtn" row="1" col="1"></Image>
    </GridLayout>
    <GridLayout row="0" rows="auto, auto, auto">
        <Label text="Price" row="0" class="label"></Label>
        <TextField hint="Type the price here..." [(ngModel)]="newPrice.price" class="input" row="1"></TextField>
    </GridLayout>
    <GridLayout row="0" rows="auto, auto, auto" columns="auto, auto">
        <Label text="Date of Price" row="0" class="label"></Label>
        <TextField hint="Enter the date of the price here..." [(ngModel)]="displayDateString" class="input" row="1" col="0"></TextField>
        <Image (tap)="OpenDatePicker()" src="~/app/shared/icons/calendar.png" class="calendarBtn" row="1" col="1"></Image>
    </GridLayout>
    <GridLayout row="0" rows="auto, auto, auto" columns="auto, auto">
        <Label text="Mark as most previous price?" row="0" class="label" col="0"></Label>
        <Switch [(ngModel)]="markAsPreviousPrice" row="0" col="1"></Switch>
    </GridLayout>
    <DockLayout stretchLastChild="true">
        <Button (tap)="AddPrice()" dock="bottom" text="Add Price" class="btn btn-primary"></Button>
    </DockLayout>
    <DockLayout stretchLastChild="true">
        <Button (tap)="RedirectToDetails()" dock="bottom" text="Cancel" class="btn"></Button>
    </DockLayout>
</StackLayout>

<AbsoluteLayout class="dialog-wrapper" *ngIf="showDatePicker">
    <StackLayout class="dialog">
        <Label text="Date of Price" class="label"></Label>
        <DatePicker [(ngModel)]="datePickerDate"></DatePicker>
        <Button (tap)="SaveDatePicker()" class="btn btn-primary" text="Confirm"></Button>
        <Button (tap)="CloseDatePicker()" class="btn" text="Cancel"></Button>
    </StackLayout>
</AbsoluteLayout>

<AbsoluteLayout class="dialog-wrapper" *ngIf="showStoreList">
    <StackLayout class="dialog">
        <Label text="Please choose store with price" class="label"></Label>
        <ListPicker [items]="storeNameList" [selectedIndex]="selectedStoreInd" (selectedIndexChange)="OnSelectedIndexChanged($event)"></ListPicker>
        <Button (tap)="SaveStoreSelection()" class="btn btn-primary" text="Confirm"></Button>
        <Button (tap)="CloseStoreSelect()" class="btn" text="Cancel"></Button>
    </StackLayout>
</AbsoluteLayout>



